Subject: Re: [PATCH/RFC] blame: CRLF in the working tree and LF in the repo

From: Johannes Sixt <[email-masked]>
Date: Tue, 28 Apr 2015 20:42:19 +0200

Am 27.04.2015 um 21:45 schrieb Torsten Bögershausen:
> On 04/27/2015 08:58 PM, Johannes Sixt wrote:
>> Am 27.04.2015 um 08:11 schrieb Stepan Kasal:
>>> Git does not support CRLF as the internal line separator.
>>> If you commit file in binary mode with CRLF, you are on your own.
>>
>> When I commit my C source code files with CRLF into the repository
>> (because I do not set any line ending options or configurations or any
>> 'text' attributes or similar), do I then commit binary files or text
>> files? Should I expect not to see any diffs?
>>
>> -- Hannes
>>
> You commit files with CRLF in the repo.
> If you have CRLF in the working tree, things are as follows:
>
> core.autocrlf=false   : "Same as binary, no changes"
> core.autocrlf=true    : "Normalization is suppressed, (CRLF in repo), and therefore no changes.
> core.autocrlf=input   : "Normalization wanted, (CRLF in repo), normalization will be done
>                                                 (and should be committed as soon as possible)

I set none of these. But I do commit CRLF and expect to get CRLF back. 
Am I commiting binary files? Am I doing something that "Git does not 
support"? Am I "on [my] own"?

-- Hannes